Subject: Re: bug#18987: the bourne shell printf-vs-\xHH portability trap

From: Jim Meyering <[email-masked]>
Date: Sun, 9 Nov 2014 10:29:00 -0800

On Sun, Nov 9, 2014 at 10:19 AM, Jim Meyering <[email-masked]> wrote:
> 2014-11-08 20:19 GMT-08:00 Jim Meyering <[email-masked]>:
>> On Sat, Nov 8, 2014 at 7:52 PM, Paul Eggert <[email-masked]> wrote:
>>>   hex_printf_()
>>>   {
>>>     hex_printf_format=$(printf '%s\n' "$1" | sed '
>>>       s/^/_/
>>>       s/$/_/
...
>> Do you have time to write the complete patch?
>> I'd like to make a pre-release snapshot tomorrow.
>
> I tried it, and found that this new function makes the multibyte-white-space
> test fail with GNU sed. Here's a simplified example showing where
...

I do like the idea, but now prefer to defer that until after the release.
Instead, I'll address the portability issues you mentioned, with this: